package com.yeejoin.amos.fas.business.dao.mapper;

import com.yeejoin.amos.fas.business.bo.FireInfoBo;
import com.yeejoin.amos.fas.business.bo.FireMoreDataBo;
import com.yeejoin.amos.fas.business.bo.FireRectificationBo;

import java.util.List;
import java.util.Map;

public interface FireRectificationMapper extends BaseMapper{
    /**
     * 查询当前页数据和数量
     * @param param
     * @return
     */
    List<FireRectificationBo>  queryFiresAndCount(Map<String,Object> param);
    long countQueryFireList(Map<String,Object> param);

    /**
     * 查询详细信息
     * @param billNo
     * @return
     */
    FireRectificationBo selectOneForBase(String billNo);
    List<FireMoreDataBo>  selectOneForEmergency(String billNo);
    List<FireMoreDataBo> selectOneForDanger(String billNo);
    List<FireMoreDataBo> selectOneForHidden (String billNo);
    FireInfoBo selectOneForfire(String billNo, int id);

    /**
     * 修改单据及其相关信息
     * @param param
     * @return
     */
    int updateBill(Map<String,String > param);
    int updateWarnning(FireMoreDataBo param);
    int updateHidden(FireMoreDataBo param);
    int updateDanger(FireMoreDataBo param);

}
